#!/usr/bin/env python

"""The setup script."""

from setuptools import setup, find_packages

with open("README.rst") as readme_file:
    readme = readme_file.read()

with open("HISTORY.rst") as history_file:
    history = history_file.read()


def parse_requirements(filename):
    """load requirements from a pip requirements file"""
    with open(filename) as f:
        lineiter = [line.strip() for line in f]
    return [line for line in lineiter if line and not line.startswith("#")]


requirements = parse_requirements("requirements.txt")

setup_requirements = [
    "pytest-runner",
    # put setup requirements (distutils extensions, etc.) here
]

test_requirements = []

setup(
    author="Joaquin Taverner",
    author_email="joataap@dsic.upv.es",
    python_requires=">=3.8",
    classifiers=[
        "Development Status :: 2 - Pre-Alpha",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: MIT License",
        "Natural Language :: English",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
    ],
    description="Emotional agents in AgentSpeak",
    install_requires=requirements,
    license="MIT license",
    long_description=readme + "\n\n" + history,
    include_package_data=True,
    keywords="pygenia",
    name="pygenia",
    packages=find_packages(include=["pygenia", "pygenia.*"]),
    test_suite="tests",
    tests_require=test_requirements,
    url="https://github.com/gti-ia/pygenia",
    version="0.1.0",
    zip_safe=False,
)
